XScreenSaver(1)

NAME
xspirograph - simulates the rotation of a disk inside a circular rim

SYNOPSIS
xspirograph [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-delay seconds] [-subdelay useconds] [-layers integer] [-alwaysfinish] [-noalwaysfinish]

DESCRIPTION
xspirograph draws patterns such as those made by a spirograph, that is, the curve traced by a point on a circular disk rotating on the inside of a hollow circular rim.

OPTIONS
xspirograph accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay secs
    The delay between finishing one draw and starting the next. Default: 5 seconds.

-subdelay usec
    The time to delay between each hundred line draws. Use this if you want to see the pattern form. Default: 0.

-alwaysfinish -noalwaysfinish
    If you want each pattern to draw until it is done, specify the first. Otherwise, they will stop after a set number of iterations. Default: no.

-layers integer
    Number of pairs of patterns to draw between each erase.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2000 by Rohit Singh <rohit_singh@hotmail.com> Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

Modified by Matthew Strait <straitm@mathcs.carleton.edu> Dec 2001.